var adminStreets =
{
	////////////////////////////////////////////////////////////////////////
	// CORE SERVICES
	////////////////////////////////////////////////////////////////////////
	logger:
	{
	    factory: "devhd.services.node.createNodeLogger",
	    dependencies: [ "timers", "cron" ],
	    properties :
	    {
	    	args : "cmdArgs()"
	    }
	},
	watchdog:
	{
		factory: "devhd.services.createNodeWatchdog",
		dependencies: [ "timers", "io", "logger" ],
		properties:
		{
	        args  : "cmdArgs()"
		}
	},
	web:
	{
		factory: "devhd.services.createNodeWeb",
		dependencies: [ "timers" ],
		properties:
		{
			port:  "cmdArgs().get('port')",
			delay: "cmdArgs().get('delay')"
		}
	},

	cron:
	{
		factory: "devhd.services.createCron",
		dependencies: [ "timers" ]
	},

	timers:
	{
		factory: "devhd.services.createNodeTimers",
	},

	io:
	{
		factory: "devhd.services.createNodeIO",
	},

	////////////////////////////////////////////////////////////////////////
	// SERVLETS
	////////////////////////////////////////////////////////////////////////
	health:
	{
		factory: "devhd.services.createHealthServlet"
	}
}
